/****************************************************************************/
/* File: tuner_globals.c                                                    */
/* Author: Gary M. Segal                                                    */
/* Copyright (C) 2006, Freescale Semiconductor, INC.                        */
/****************************************************************************/
/* Description:                                                             */
/*    This file contains the global variables that are used by the tuner    */
/* driver.                                                                  */
/*                                                                          */
/****************************************************************************/
/* revision history:                                                        */
/*                                                                          */
/* Date      Version  Comments                                      Initial */
/* ------------------------------------------------------------------------ */
/* 5/24/06   0.1      Inital release of integer version.            GMS     */
/*                                                                          */
/****************************************************************************/


#include "FS_tuner.h"

/***************************************************************************/
/* GLOBALS                                                                 */
/***************************************************************************/

int g_freq;

int g_rf_agc_sel;
int g_if_out_sel;

TUNER_REGS_T g_regs;

int g_lna_gain=7; /* lna gain setting */

/* The following table is used to convert 3 bit gray code to lineaer. It is*/
/* arranged so that when a gray code is used an an index, the resulting    */
/* value is the linear equivilent of the gray code.  This is used by the   */
/* AGC algorithym.                                                         */

int g_gray_table[]={0,1,3,2,7,6,4,5};

